Loading...
Searching...
No Matches
wayland::server::seat_capability Struct Reference

seat capability bitmask More...

`#include <wayland-server-protocol.hpp>`

## Static Public Attributes

static const wayland::detail::bitfield< 3, 12 > | pointer
| the seat has pointer devices
static const wayland::detail::bitfield< 3, 12 > | keyboard
| the seat has one or more keyboards
static const wayland::detail::bitfield< 3, 12 > | touch
| the seat has touch devices

## Detailed Description

seat capability bitmask

This is a bitmask of capabilities this seat has; if a member is set, then it is present on the seat.

Definition at line 2772 of file wayland-server-protocol.hpp.

## Member Data Documentation

## keyboard

const wayland::detail::bitfield<3, 12> wayland::server::seat_capability::keyboard

static

the seat has one or more keyboards

Definition at line 2781 of file wayland-server-protocol.hpp.

## pointer

const wayland::detail::bitfield<3, 12> wayland::server::seat_capability::pointer

static

the seat has pointer devices

Definition at line 2779 of file wayland-server-protocol.hpp.

## touch

const wayland::detail::bitfield<3, 12> wayland::server::seat_capability::touch

static

the seat has touch devices

Definition at line 2783 of file wayland-server-protocol.hpp.

The documentation for this struct was generated from the following file:

- obj-x86_64-linux-gnu/wayland-server-protocol.hpp